Bug 692350 - dracut-fips package should be installed if installation is started with fips=1
dracut-fips package should be installed if installation is started with fips=1
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
All Unspecified
medium Severity medium
: rc
: ---
Assigned To: David Cantrell
Release Test Team
Depends On:
Blocks: RHEL62CCC 670159 846801 846802
  Show dependency treegraph
Reported: 2011-03-31 02:07 EDT by Martin Banas
Modified: 2012-08-08 14:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: anaconda-13.21.109-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-05-19 08:40:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Martin Banas 2011-03-31 02:07:14 EDT
Description of problem:
If the installation is started with fips=1 kernel option, anaconda should install dracut-fips package by default (also in minimal installation).
See comment #20:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start RHEL6 installation with fips=1 kernel option
2. Proceed to stage2, select "minimal" packageset group
3. Finish the installation
4. # rpm -q dracut-fips

Actual results:
dracut-fips package is not installed when fips=1 is provided on kernel command line

Expected results:
According to Stephan Mueller ( https://bugzilla.redhat.com/show_bug.cgi?id=691419#c20 ) this package should be installed unconditionally when fips=1 is given.

Additional info:
Comment 1 RHEL Product and Program Management 2011-03-31 10:59:35 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 3 Alexander Todorov 2011-04-05 10:56:36 EDT
Tested with anaconda-13.21.109 (nightly tree) and when installing with fips=1 dracut-fips is installed on the system.
Comment 4 errata-xmlrpc 2011-05-19 08:40:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.